1. htsmithjr's Avatar
    Called both ATT and TelNav on this issue. The device comes loaded with Telenav V 1.0.0 and will prompt you to buy the voice premimum plan that is like the 8800 telenav version. However after repeated events both said it was impossible because the device is not certified. I did load 4.7 telenav from the 8800 to the 8300 but it would not work correctly on the 8300.

    Who knows how to get this to work? thx.
    06-01-07 08:27 AM
  2. anon(153966)'s Avatar
    That's probably the same issue with when the 8800 was released! I got my 8800 on 25th April, two days after release, by the 27th April, TeleNav sent an update (5.1) out to get 'all' respective features of it's software to work.

    So, all that to say, expect an update from them soon...
    06-01-07 08:47 AM
LINK TO POST COPIED TO CLIPBOARD